TagLib::IT::Properties Class Reference

An implementation of audio property reading for IT. More...

`#include <itproperties.h>`

Inheritance diagram for TagLib::IT::Properties:
[legend]
Collaboration diagram for TagLib::IT::Properties:
[legend]

## Public Types

enum | { Stereo = 1 , Vol0MixOptimizations = 2 , UseInstruments = 4 , LinearSlides = 8 , OldEffects = 16 , LinkEffects = 32 , UseMidiPitchController = 64 , RequestEmbeddedMidiConf = 128 }
enum | { MessageAttached = 1 , MidiConfEmbedded = 8 }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions

| Properties (AudioProperties::ReadStyle propertiesStyle)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | channels () const override
unsigned short | lengthInPatterns () const
bool | stereo () const
unsigned short | instrumentCount () const
unsigned short | sampleCount () const
unsigned short | patternCount () const
unsigned short | version () const
unsigned short | compatibleVersion () const
unsigned short | flags () const
unsigned short | special () const
unsigned char | globalVolume () const
unsigned char | mixVolume () const
unsigned char | tempo () const
unsigned char | bpmSpeed () const
unsigned char | panningSeparation () const
unsigned char | pitchWheelDepth () const
void | setChannels (int channels)
void | setLengthInPatterns (unsigned short lengthInPatterns)
void | setInstrumentCount (unsigned short instrumentCount)
void | setSampleCount (unsigned short sampleCount)
void | setPatternCount (unsigned short patternCount)
void | setVersion (unsigned short version)
void | setCompatibleVersion (unsigned short compatibleVersion)
void | setFlags (unsigned short flags)
void | setSpecial (unsigned short special)
void | setGlobalVolume (unsigned char globalVolume)
void | setMixVolume (unsigned char mixVolume)
void | setTempo (unsigned char tempo)
void | setBpmSpeed (unsigned char bpmSpeed)
void | setPanningSeparation (unsigned char panningSeparation)
void | setPitchWheelDepth (unsigned char pitchWheelDepth)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const
virtual int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const

## Additional Inherited Members

Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for IT.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Flag bits.

Enumerator
Stereo |
Vol0MixOptimizations |
UseInstruments |
LinearSlides |
OldEffects |
LinkEffects |
UseMidiPitchController |
RequestEmbeddedMidiConf |

## anonymous enum

anonymous enum

Special bits.

Enumerator
MessageAttached |
MidiConfEmbedded |

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::IT::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::IT::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::IT::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bpmSpeed()

unsigned char TagLib::IT::Properties::bpmSpeed | ( |  | ) | const

Referenced by setBpmSpeed().

## channels()

int TagLib::IT::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by setChannels().

## compatibleVersion()

unsigned short TagLib::IT::Properties::compatibleVersion | ( |  | ) | const

Referenced by setCompatibleVersion().

## flags()

unsigned short TagLib::IT::Properties::flags | ( |  | ) | const

Referenced by setFlags().

## globalVolume()

unsigned char TagLib::IT::Properties::globalVolume | ( |  | ) | const

Referenced by setGlobalVolume().

## instrumentCount()

unsigned short TagLib::IT::Properties::instrumentCount | ( |  | ) | const

Referenced by setInstrumentCount().

## lengthInPatterns()

unsigned short TagLib::IT::Properties::lengthInPatterns | ( |  | ) | const

Referenced by setLengthInPatterns().

## mixVolume()

unsigned char TagLib::IT::Properties::mixVolume | ( |  | ) | const

Referenced by setMixVolume().

## operator=()

Properties & TagLib::IT::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## panningSeparation()

unsigned char TagLib::IT::Properties::panningSeparation | ( |  | ) | const

Referenced by setPanningSeparation().

## patternCount()

unsigned short TagLib::IT::Properties::patternCount | ( |  | ) | const

Referenced by setPatternCount().

## pitchWheelDepth()

unsigned char TagLib::IT::Properties::pitchWheelDepth | ( |  | ) | const

Referenced by setPitchWheelDepth().

## sampleCount()

unsigned short TagLib::IT::Properties::sampleCount | ( |  | ) | const

Referenced by setSampleCount().

## setBpmSpeed()

void TagLib::IT::Properties::setBpmSpeed | ( | unsigned char | bpmSpeed | ) |

References bpmSpeed().

## setChannels()

void TagLib::IT::Properties::setChannels | ( | int | channels | ) |

References channels().

## setCompatibleVersion()

void TagLib::IT::Properties::setCompatibleVersion | ( | unsigned short | compatibleVersion | ) |

References compatibleVersion().

## setFlags()

void TagLib::IT::Properties::setFlags | ( | unsigned short | flags | ) |

References flags().

## setGlobalVolume()

void TagLib::IT::Properties::setGlobalVolume | ( | unsigned char | globalVolume | ) |

References globalVolume().

## setInstrumentCount()

void TagLib::IT::Properties::setInstrumentCount | ( | unsigned short | instrumentCount | ) |

References instrumentCount().

## setLengthInPatterns()

void TagLib::IT::Properties::setLengthInPatterns | ( | unsigned short | lengthInPatterns | ) |

References lengthInPatterns().

## setMixVolume()

void TagLib::IT::Properties::setMixVolume | ( | unsigned char | mixVolume | ) |

References mixVolume().

## setPanningSeparation()

void TagLib::IT::Properties::setPanningSeparation | ( | unsigned char | panningSeparation | ) |

References panningSeparation().

## setPatternCount()

void TagLib::IT::Properties::setPatternCount | ( | unsigned short | patternCount | ) |

References patternCount().

## setPitchWheelDepth()

void TagLib::IT::Properties::setPitchWheelDepth | ( | unsigned char | pitchWheelDepth | ) |

References pitchWheelDepth(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setSampleCount()

void TagLib::IT::Properties::setSampleCount | ( | unsigned short | sampleCount | ) |

References sampleCount().

## setSpecial()

void TagLib::IT::Properties::setSpecial | ( | unsigned short | special | ) |

References special().

## setTempo()

void TagLib::IT::Properties::setTempo | ( | unsigned char | tempo | ) |

References tempo().

## setVersion()

void TagLib::IT::Properties::setVersion | ( | unsigned short | version | ) |

References version().

## special()

unsigned short TagLib::IT::Properties::special | ( |  | ) | const

Referenced by setSpecial().

## stereo()

bool TagLib::IT::Properties::stereo | ( |  | ) | const

## tempo()

unsigned char TagLib::IT::Properties::tempo | ( |  | ) | const

Referenced by setTempo().

## version()

unsigned short TagLib::IT::Properties::version | ( |  | ) | const

Referenced by setVersion().

The documentation for this class was generated from the following file:

- itproperties.h